UnknownEntityException (Java Platform SE 8 )
Keywords: javax.lang.model.UnknownEntityException class
Date: 2018-07-01

compact3
javax.lang.model

## Class UnknownEntityException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.lang.model.UnknownEntityException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    UnknownAnnotationValueException, UnknownElementException, UnknownTypeException

      public class UnknownEntityException
      extends RuntimeException

  Superclass of exceptions which indicate that an unknown kind of entity was encountered. This situation can occur if the language evolves and new kinds of constructs are introduced. Subclasses of this exception may be thrown by visitors to indicate that the visitor was created for a prior version of the language.

  A common superclass for those exceptions allows a single catch block to have code handling them uniformly.

  Since:
    1.7
  See Also:
    `UnknownElementException`, `UnknownAnnotationValueException`, `UnknownTypeException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `UnknownEntityException(String message)` Creates a new `UnknownEntityException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnknownEntityException

          protected UnknownEntityException(String message)

      Creates a new `UnknownEntityException` with the specified detail message.
      Parameters:
        `message` - the detail message

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.